﻿///////////////////////////////////////////////////////////////////////////////
// file main.js
// Copyright (c) 2012 Frédéric J. Rézeau. All rights reserved.
///////////////////////////////////////////////////////////////////////////////

window.onload = (function () {
    "use strict";

    var main = function () {

        // Configure mopub ads.
        if (typeof Cocoon !== "undefined" && Cocoon.Ad && Cocoon.Ad.MoPub) {
            Cocoon.Ad.MoPub.configure({
                ios: {
                    interstitial: "c8688ae120a140259110ffbdc91bbcb0",
                },
                android: {
                    interstitial: "371be301b9fa4bf4ae870556a7e4fa01"
                }
            });
        }

        // Configure IAP.
        if (typeof Cocoon !== "undefined" && Cocoon.InApp) {
            Cocoon.InApp.on("purchase", {
                start: function (productId) {
                    console.log("purchase started " + productId);
                },
                error: function (productId, error) {
                    console.log("purchase failed " + productId + " error: " + JSON.stringify(error));
                },
                complete: function (purchase) {
                    console.log("purchase completed " + JSON.stringify(purchase));

                    // Reward user.
                    var value = 0;
                    switch (purchase.productId) {
                        case "zcj2gold1":
                            value = 1000;
                            break;
                        case "zcj2gold2":
                            value = 2000;
                            break;
                        case "zcj2gold3":
                            value = 5000;
                            break;
                        case "zcj2gold4":
                            value = 10000;
                            break;
                        case "zcj2gold5":
                            value = 20000;
                            break;
                        case "zcj2gold6":
                            value = 50000;
                            break;
                    }

                    window.OkijinGame.userData.cash += value;

                    // Disable the ads.
                    window.OkijinGame.userData.ads = 0;
                    window.OkijinGame.saveUserData();
                    window.OkijinGame.playSound("coin");

                    Cocoon.InApp.consume(purchase.productId, 1, function (error) { });
                }
            });

            // Service initialization
            Cocoon.InApp.initialize({}, function (error) { });
        }

        // Back button handler.
        document.addEventListener("backbutton", onBackButtonPressed, false);

        // Orientation changed event.
        window.addEventListener("orientationchange",
            function () {
                OkijinGame.resetDisplay();
            }, false);

        // Initialize the game.
        OkijinGame.initialize();
    };

    document.addEventListener("deviceready", main, false);

    if (window.TestLocalRun === "afygr") {
        main();
    }

})();

